#include <bits/stdc++.h>
using namespace std;
int t,n,f[100005],dem=0;
bool kt(int n)
{
    if(n<2) return false;
    if(n==2||n==3||n==5||n==7) return true;
    if(n%2==0||n%3==0) return false;
    if(n%5==0) return false;
    for(int i=5;i*i<=n;i+=6)
        if((n%i==0 ) || n%(i+2)==0 ) return false;
    return true;
}
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);cout.tie(0);
    freopen("CAU3.INP","r",stdin);
    freopen("CAU3.OUT","w",stdout);
    cin>>t;
    for(int i=2;i<=100007;i++)
        if(kt(i))
        {
            dem++;
            f[dem]=i;
        }
    while(t--)
    {
        cin>>n;
        int k=lower_bound(f+1,f+dem+1,n)-f;
        cout<<f[k]<<'\n';
    }
    return 0;
}
